const host = process.env.VUE_APP_API_HOST;

export default {
  endpoints: {
    auth: {
      check: `${host}/auth`,
      login: {
        trainee: `${host}/auth/login/trainee`,
        trainer: `${host}/auth/login/trainer`,
      },
      logout: `${host}/auth/logout`,
    },
    diet: {
      list: `${host}/diet`,
      detail: id => (`${host}/diet/${id}`),
    },
    exercise: {
      list: `${host}/exercise`,
      detail: id => (`${host}/exercise/${id}`),
    },
    program: {
      list: `${host}/program`,
      detail: id => (`${host}/program/${id}`),
    },
    schedule: {
      list: `${host}/schedule`,
      detail: id => (`${host}/schedule/${id}`),
    },
    trainee: {
      list: `${host}/trainee`,
      detail: id => (`${host}/trainee/${id}`),
      booking: id => (`${host}/trainee/${id}/booking`),
      diet: id => (`${host}/trainee/${id}/diet`),
      exercise: id => (`${host}/trainee/${id}/exercise`),
      inventory: id => (`${host}/trainee/${id}/inventory`),
    },
    trainer: {
      list: `${host}/trainer`,
      detail: id => (`${host}/trainer/${id}`),
    },
    voucher: {
      list: `${host}/voucher`,
      detail: id => (`${host}/voucher/${id}`),
    },
  },
  settings: {
    post: data => ({
      body: data !== null ? JSON.stringify(data) : null,
      credentials: 'include',
      headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json',
      },
      method: 'post',
      mode: 'cors',
    }),
    get: {
      credentials: 'include',
      headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json',
      },
      method: 'get',
      mode: 'cors',
    },
    put: data => ({
      body: data !== null ? JSON.stringify(data) : null,
      credentials: 'include',
      headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json',
      },
      method: 'put',
      mode: 'cors',
    }),
    delete: {
      credentials: 'include',
      headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json',
      },
      method: 'delete',
      mode: 'cors',
    },
  },
};
