import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    isPageLoading: false,
    isNavDrawerVisible: true,
    loginUser: null,
  },
  getters: {
    isLogin: state => (state.loginUser !== null),
  },
  mutations: {
    setPageStartLoading(state) {
      state.isPageLoading = true;
    },
    setPageFinishLoading(state) {
      state.isPageLoading = false;
    },
    toggleNavDrawer(state) {
      state.isNavDrawerVisible = !state.isNavDrawerVisible;
    },
    setLogin(state, user) {
      state.loginUser = user;
    },
    setLogout(state) {
      state.loginUser = null;
    },
  },
  actions: {
    toggleNavDrawer(context) {
      context.commit('toggleNavDrawer');
    },
    setLogin(context, user) {
      context.commit('setLogin', user);
    },
    setLogout(context) {
      context.commit('setLogout');
    },
  },
  modules: {
  },
});
